
locals {
  access_logs = var.access_logs
  additional_target_group_attachments = var.additional_target_group_attachments
  associate_web_acl = var.associate_web_acl
  client_keep_alive = var.client_keep_alive
  connection_logs = var.connection_logs
  create = var.create
  create_security_group = var.create_security_group
  customer_owned_ipv4_pool = var.customer_owned_ipv4_pool
  default_port = var.default_port
  default_protocol = var.default_protocol
  desync_mitigation_mode = var.desync_mitigation_mode
  dns_record_client_routing_policy = var.dns_record_client_routing_policy
  drop_invalid_header_fields = var.drop_invalid_header_fields
  enable_cross_zone_load_balancing = var.enable_cross_zone_load_balancing
  enable_deletion_protection = var.enable_deletion_protection
  enable_http2 = var.enable_http2
  enable_tls_version_and_cipher_suite_headers = var.enable_tls_version_and_cipher_suite_headers
  enable_waf_fail_open = var.enable_waf_fail_open
  enable_xff_client_port = var.enable_xff_client_port
  enforce_security_group_inbound_rules_on_private_link_traffic = var.enforce_security_group_inbound_rules_on_private_link_traffic
  idle_timeout = var.idle_timeout
  internal = var.internal
  ip_address_type = var.ip_address_type
  listeners = var.listeners
  load_balancer_type = var.load_balancer_type
  name = var.name
  name_prefix = var.name_prefix
  preserve_host_header = var.preserve_host_header
  putin_khuylo = var.putin_khuylo
  route53_records = var.route53_records
  security_group_description = var.security_group_description
  security_group_egress_rules = var.security_group_egress_rules
  security_group_ingress_rules = var.security_group_ingress_rules
  security_group_name = var.security_group_name
  security_group_tags = var.security_group_tags
  security_group_use_name_prefix = var.security_group_use_name_prefix
  security_groups = var.security_groups
  subnet_mapping = var.subnet_mapping
  subnets = var.subnets
  tags = var.tags
  target_groups = var.target_groups
  timeouts = var.timeouts
  vpc_id = var.vpc_id
  web_acl_arn = var.web_acl_arn
  xff_header_processing_mode = var.xff_header_processing_mode
}
